package workflow

import "server/dao"

type DescriptionService struct{}

func (ds *DescriptionService) QueryDescriptionByProjectProcessId(projectProcessId int) (descriptions []dao.Description, err error) {
	return dao.QueryDescriptionByProjectProcessId(projectProcessId)
}

func (ds *DescriptionService) CreateDescription(description dao.Description) error {
	return description.CreateDescription()
}

func (ds *DescriptionService) UpdateDescription(description dao.Description) error {
	return description.UpdateDescription()
}

func (ds *DescriptionService) DeleteDescription(description dao.Description) error {
	return description.DeleteDescription()
}
